Package org.eclipse.birt.chart.model.attribute.impl

# Class InsetsImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.attribute.impl.InsetsImpl

All Implemented Interfaces:
  `Insets`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

public class InsetsImpl extends org.eclipse.emf.ecore.impl.EObjectImpl implements Insets
An implementation of the model object ' Insets'.

The following features are implemented:

- `Top`
- `Left`
- `Bottom`
- `Right`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`areLessThan(double dValue)`
A convenience method provdided to detect if all members are below a certain value NOTE: Manually written
`Insets`
`copyInstance()`
A convenient method to get an instance copy.
`static final Insets`
`create(double dTop, double dLeft, double dBottom, double dRight)`
A convenient method for creating an instance and initializing member variables.
`static final Insets`
`createDefault(double dTop, double dLeft, double dBottom, double dRight)`
A convenient method for creating an instance and initializing member variables.
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`boolean`
`eIsSet(int featureID)`
`boolean`
`equals(Object obj)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`double`
`getBottom()`
`double`
`getLeft()`
`double`
`getRight()`
`double`
`getTop()`
`int`
`hashCode()`
`boolean`
`isSetBottom()`
`boolean`
`isSetLeft()`
`boolean`
`isSetRight()`
`boolean`
`isSetTop()`
`static final Insets`
`max(Insets ins1, Insets ins2)`
`static final Insets`
`min(Insets ins1, Insets ins2)`
`final Insets`
`scaledInstance(double dScale)`
Returns a new instance with scaled members w.r.t this instance.
`void`
`set(double dTop, double dLeft, double dBottom, double dRight)`
A convenient method for initializing member variables.
`void`
`setBottom(double newBottom)`
`void`
`setLeft(double newLeft)`
`void`
`setRight(double newRight)`
`void`
`setTop(double newTop)`
`String`
`toString()`
`void`
`unsetBottom()`
`void`
`unsetLeft()`
`void`
`unsetRight()`
`void`
`unsetTop()`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getTop

public double getTop()

Specified by:
  `getTop` in interface `Insets`
Returns:
  the value of the 'Top' attribute.
See Also:
  - `Insets.isSetTop()`
  - `Insets.unsetTop()`
  - `Insets.setTop(double)`
  - `AttributePackage.getInsets_Top()`

### setTop

public void setTop(double newTop)

Specified by:
  `setTop` in interface `Insets`
Parameters:
  `newTop` - the new value of the 'Top' attribute.
See Also:
  - `Insets.isSetTop()`
  - `Insets.unsetTop()`
  - `Insets.getTop()`

### unsetTop

public void unsetTop()

Specified by:
  `unsetTop` in interface `Insets`
See Also:
  - `Insets.isSetTop()`
  - `Insets.getTop()`
  - `Insets.setTop(double)`

### isSetTop

public boolean isSetTop()

Specified by:
  `isSetTop` in interface `Insets`
Returns:
  whether the value of the 'Top' attribute is set.
See Also:
  - `Insets.unsetTop()`
  - `Insets.getTop()`
  - `Insets.setTop(double)`

### getLeft

public double getLeft()

Specified by:
  `getLeft` in interface `Insets`
Returns:
  the value of the 'Left' attribute.
See Also:
  - `Insets.isSetLeft()`
  - `Insets.unsetLeft()`
  - `Insets.setLeft(double)`
  - `AttributePackage.getInsets_Left()`

### setLeft

public void setLeft(double newLeft)

Specified by:
  `setLeft` in interface `Insets`
Parameters:
  `newLeft` - the new value of the 'Left' attribute.
See Also:
  - `Insets.isSetLeft()`
  - `Insets.unsetLeft()`
  - `Insets.getLeft()`

### unsetLeft

public void unsetLeft()

Specified by:
  `unsetLeft` in interface `Insets`
See Also:
  - `Insets.isSetLeft()`
  - `Insets.getLeft()`
  - `Insets.setLeft(double)`

### isSetLeft

public boolean isSetLeft()

Specified by:
  `isSetLeft` in interface `Insets`
Returns:
  whether the value of the 'Left' attribute is set.
See Also:
  - `Insets.unsetLeft()`
  - `Insets.getLeft()`
  - `Insets.setLeft(double)`

### getBottom

public double getBottom()

Specified by:
  `getBottom` in interface `Insets`
Returns:
  the value of the 'Bottom' attribute.
See Also:
  - `Insets.isSetBottom()`
  - `Insets.unsetBottom()`
  - `Insets.setBottom(double)`
  - `AttributePackage.getInsets_Bottom()`

### setBottom

public void setBottom(double newBottom)

Specified by:
  `setBottom` in interface `Insets`
Parameters:
  `newBottom` - the new value of the 'Bottom' attribute.
See Also:
  - `Insets.isSetBottom()`
  - `Insets.unsetBottom()`
  - `Insets.getBottom()`

### unsetBottom

public void unsetBottom()

Specified by:
  `unsetBottom` in interface `Insets`
See Also:
  - `Insets.isSetBottom()`
  - `Insets.getBottom()`
  - `Insets.setBottom(double)`

### isSetBottom

public boolean isSetBottom()

Specified by:
  `isSetBottom` in interface `Insets`
Returns:
  whether the value of the 'Bottom' attribute is set.
See Also:
  - `Insets.unsetBottom()`
  - `Insets.getBottom()`
  - `Insets.setBottom(double)`

### getRight

public double getRight()

Specified by:
  `getRight` in interface `Insets`
Returns:
  the value of the 'Right' attribute.
See Also:
  - `Insets.isSetRight()`
  - `Insets.unsetRight()`
  - `Insets.setRight(double)`
  - `AttributePackage.getInsets_Right()`

### setRight

public void setRight(double newRight)

Specified by:
  `setRight` in interface `Insets`
Parameters:
  `newRight` - the new value of the 'Right' attribute.
See Also:
  - `Insets.isSetRight()`
  - `Insets.unsetRight()`
  - `Insets.getRight()`

### unsetRight

public void unsetRight()

Specified by:
  `unsetRight` in interface `Insets`
See Also:
  - `Insets.isSetRight()`
  - `Insets.getRight()`
  - `Insets.setRight(double)`

### isSetRight

public boolean isSetRight()

Specified by:
  `isSetRight` in interface `Insets`
Returns:
  whether the value of the 'Right' attribute is set.
See Also:
  - `Insets.unsetRight()`
  - `Insets.getRight()`
  - `Insets.setRight(double)`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

public String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### set

public void set(double dTop, double dLeft, double dBottom, double dRight)
A convenient method for initializing member variables. Note: Manually written

Specified by:
  `set` in interface `Insets`
Parameters:
  `dTop` -
  `dLeft` -
  `dBottom` -
  `dRight` -

### create

public static final Insets create(double dTop, double dLeft, double dBottom, double dRight)
A convenient method for creating an instance and initializing member variables. Note: Manually written

Parameters:
  `dTop` -
  `dLeft` -
  `dBottom` -
  `dRight` -
Returns:

### createDefault

public static final Insets createDefault(double dTop, double dLeft, double dBottom, double dRight)
A convenient method for creating an instance and initializing member variables. Note: Manually written

Parameters:
  `dTop` -
  `dLeft` -
  `dBottom` -
  `dRight` -
Returns:

### scaledInstance

public final Insets scaledInstance(double dScale)
Description copied from interface: `Insets`
Returns a new instance with scaled members w.r.t this instance. NOTE: Manually written

Specified by:
  `scaledInstance` in interface `Insets`
Returns:

### areLessThan

public boolean areLessThan(double dValue)
Description copied from interface: `Insets`
A convenience method provdided to detect if all members are below a certain value NOTE: Manually written

Specified by:
  `areLessThan` in interface `Insets`
Returns:

### max

public static final Insets max(Insets ins1, Insets ins2)

Parameters:
  `ins1` -
  `ins2` -
Returns:

### min

public static final Insets min(Insets ins1, Insets ins2)

Parameters:
  `ins1` -
  `ins2` -
Returns:

### copyInstance

public Insets copyInstance()
A convenient method to get an instance copy. This is much faster than the ECoreUtil.copy().

Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `Insets`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`